saned(8)

NUME
saned - demon de rețea SANE

SINOPSIS
saned [ -a [ nume-utilizator ] ] [ -u nume-utilizator ] [ -b adresă ] [ -p port ] [ -l ] [ -D ] [ -o ] [ -d n ] [ -e ] [ -h ] [ -B dimensiune-memorie-tampon ]

DESCRIERE
saned este demonul SANE (Scanner Access Now Easy) care permite clienților de la distanță să acceseze dispozitivele de achiziție de imagini disponibile pe gazda locală.

OPȚIUNI

saned recunoaște următoarele opțiuni:

-a [nume-utilizator], --alone[=nume-utilizator]
    este echivalentă cu combinația de opțiuni -l -D -u nume-utilizator. Cu toate acestea, nume-utilizator este opțională, iar utilizatorul care rulează va fi selectat numai dacă este specificat.

-u nume-utilizator, --user=nume-utilizator
    solicită ca saned să renunțe la privilegiile de root și să ruleze ca utilizator (și grup) asociat cu nume-utilizator după asociere.

-b adresă, --bind=adresă
    îi indică lui saned să se conecteze la adresa dată.

-p port, --port=port
    îi indică lui saned să asculte pe portul dat. O valoare de 0 îi indică lui saned să aleagă un port neutilizat. Valoarea implicită este sane-port (6566).

-l, --listen
    solicită ca saned să ruleze în modul demon autonom. În acest mod, saned va asculta conexiunile primite de la clienți; inetd(8) nu este necesar pentru operațiile saned în acest mod.

-D, --daemonize
    va solicita lui saned să se detașeze de consolă și să ruleze în fundal.

-n, --allow-network
    permite saned să utilizeze scanere de rețea. În mod implicit, acest lucru este interzis pentru a împiedica saned să se contacteze pe sine. Atunci când este activată, configurația controlorului sane-net(5) nu trebuie să menționeze adresa la care este ascultat saned.

-o, --once
    solicită ca saned să iasă după ce primul client se deconectează. Acest lucru este util pentru depanare.

-d n, --debug=n
    stabilește nivelul ieșirii de depanare saned la n. Atunci când se compilează cu depanarea activată, această opțiune poate fi urmată de un număr pentru a solicita mai multe sau mai puține informații de depanare. Cu cât numărul este mai mare, cu atât mai detaliată este ieșirea de depanare. De exemplu, -d128 va solicita ieșirea tuturor informațiilor de depanare. Un nivel de 0 nu produce nicio ieșire. Valoarea implicită este 2.

-e, --stderr
    va redirecționa ieșirea de depanare saned către ieșirea de eroare standard în loc către programul «syslog» implicit.

-B, --buffer-size=dimensiune-memorie-tampon
    specifică dimensiunea în Ko a memoriei tampon de citire utilizată pentru comunicarea cu controlorul. Valoarea implicită este 1Mo.

-h, --help
    afișează un scurt mesaj de utilizare.

CONFIGURARE
Fișierul de configurare saned.conf conține atât opțiunile pentru demon, cât și lista de acces.

data_portrange = port-min - port-max
    Specifică intervalul de porturi care urmează să fie utilizat pentru conexiunea de date. Alegeți un interval de porturi între 1024 și 65535; nu alegeți un interval de porturi prea mare, deoarece ar putea avea probleme de performanță. Utilizați această opțiune dacă serverul saned se află în spatele unui paravan de protecție. Dacă acel paravan de protecție este o mașină Linux, vă recomandăm cu tărie să folosiți în schimb modulul Netfilter nf_conntrack_sane.

data_connect_timeout = timp-așteptare
    Specifică timpul în milisecunde pe care saned îl va aștepta pentru o conexiune de date. Fără această opțiune, dacă conexiunea de date nu se realizează înainte ca scanerul să ajungă la sfârșitul scanării, scanerul va continua să scaneze după sfârșit și îl poate deteriora, în funcție de controlor. Specificați zero pentru a avea vechiul comportament. Valoarea implicită este 4000ms.

Lista de acces este o listă de nume de gazde, adrese IP sau subrețele IP (notație CIDR) cărora li se permite utilizarea dispozitivelor SANE locale. Adresele IPv6 trebuie să fie incluse între paranteze drepte și trebuie specificate întotdeauna în forma lor comprimată. Conexiunile de la localhost sunt întotdeauna permise. Liniile goale și liniile care încep cu un simbol hash (#) sunt ignorate. O linie care conține un singur caracter „+” este interpretată ca fiind compatibilă cu orice nume de gazdă. Acest lucru permite oricărei mașini de la distanță să utilizeze scanerul dumneavoastră și poate prezenta un risc de securitate, deci nu ar trebui să fie utilizat decât dacă știți ce faceți.

Un exemplu de fișier de configurare este prezentat mai jos:

    # Opțiuni demon
    data_portrange = 10000 - 10100
    # Lista de acces
    scan-client.somedomain.firm
    # acesta este un comentariu
    192.168.0.1
    192.168.2.12/29
    [::1]
    [2001:db8:185e::42:12]/64

Nu se ține cont de diferențele între majuscule și minusculele din numele de gazdă, astfel încât AHost.COM este considerat identic cu ahost.com.

FIȘIERE

/etc/hosts.equiv
    Gazdele listate în acest fișier sunt autorizate să acceseze toate dispozitivele SANE locale. Avertisment: acest fișier impune riscuri serioase de securitate și nu se recomandă utilizarea sa.

/etc/sane.d/saned.conf
    Conține o listă de gazde cărora li se permite accesul la dispozitivele SANE locale (a se vedea, de asemenea, descrierea lui SANE_CONFIG_DIR de mai jos).

/etc/sane.d/saned.users
    Dacă acest fișier conține linii de forma

    utilizator:parolă:controlor

    accesul la controlorii enumerați este restricționat. Un controlor poate fi listat de mai multe ori pentru diferite combinații utilizator/parolă. Serverul utilizează algoritmul de verificare MD5 dacă este acceptat de client.

MEDIU

SANE_CONFIG_DIR
    Această variabilă de mediu specifică lista de directoare care pot conține fișierul de configurare. Pe sistemele *NIX, directoarele sunt separate prin două puncte („:”), în cazul sistemelor OS/2, ele sunt separate prin punct și virgulă („;”). Dacă această variabilă nu este definită, fișierul de configurare este căutat în două directoare implicite: mai întâi, în directorul de lucru curent („.”) și apoi în /etc/sane.d. Dacă valoarea variabilei de mediu se termină cu caracterul separator de directoare, atunci directoarele implicite sunt căutate după directoarele specificate explicit. De exemplu, dacă se definește SANE_CONFIG_DIR la „/tmp/config:”, se vor căuta (în această ordine) directoarele tmp/config, . și /etc/sane.d.

NOTE
saned nu asigură confidențialitatea atunci când comunică cu clienții. În cazul în care saned este expus direct în rețea, alți utilizatori ar putea intercepta imaginile scanate sau ar putea afla parolele de conectare la saned, cu un efort redus. În schimb, sistemele client ar trebui să se conecteze la saned printr-un tunel securizat către server.

saned nu este un program de încredere și nu ar trebui să ruleze cu privilegii de root.

Consultați /usr/share/doc/libsane/saned/saned.install.md pentru detalii despre configurarea saned ca serviciu.

CONSULTAȚI ȘI
sane(7), scanimage(1), xscanimage(1), xcam(1), sane-dll(5), sane-net(5), sane-"backendname"(5), inetd(8), xinetd(8), systemd(1)
http://www.penguin-breeder.org/?page=sane-net

AUTOR
David Mosberger

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.